---
title: PannerNode.setVelocity()
slug: Web/API/PannerNode/setVelocity
tags:
  - API
  - Audio
  - Deprecated
  - Doppler Effect
  - Method
  - PannerNode
  - Reference
  - Web Audio API
  - setVelocity
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>{{obsolete_header}}</p>

<p>The <code>setVelocity()</code> method of the {{ domxref("PannerNode") }} Interface defines the velocity vector of the audio source — how fast it is moving and in what direction.</p>

<p>This method was removed from the specification because of gaps in its design and implementation problems.</p>

<p>The velocity relative to the listener is used to control the pitch change needed to conform with the <a href="http://en.wikipedia.org/wiki/Doppler_effect">Doppler effect</a> due to the relative speed.</p>

<p>As the vector controls both the direction of travel and its velocity, the three parameters <code>x</code>, <code>y</code> and <code>z</code> are expressed in <em>meters per second<code>.</code></em> The default value of the velocity vector is <code>(0,</code> <code>0,</code> <code>0)</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panner = audioCtx.createPanner();
panner.setVelocity(0,0,17);</pre>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>x</code></dt>
 <dd>The x value of the panner's velocity vector.</dd>
 <dt><code>y</code></dt>
 <dd>The y value of the panner's velocity vector.</dd>
 <dt><code>z</code></dt>
 <dd>The z value of the panner's velocity vector.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.setVelocity")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
